diff --git a/src/main/java/net/minecraft/client/entity/particle/RedstoneDustParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleRedstoneDust.java
similarity index 95%
rename from src/main/java/net/minecraft/client/entity/particle/RedstoneDustParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleRedstoneDust.java
index e5504509f..1dc9ee71b 100644
--- a/src/main/java/net/minecraft/client/entity/particle/RedstoneDustParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleRedstoneDust.java
@@ -7,15 +7,15 @@ import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 
-public class RedstoneDustParticle extends Particle {
+public class ParticleRedstoneDust extends Particle {
     private final float oSize;
     private int brightness;
 
-    public RedstoneDustParticle(World world, double x, double y, double z, float red, float green, float blue, int brightness) {
+    public ParticleRedstoneDust(World world, double x, double y, double z, float red, float green, float blue, int brightness) {
         this(world, x, y, z, 1.0F, red, green, blue, brightness);
     }
 
-    public RedstoneDustParticle(World world, double x, double y, double z, float scale, float red, float green, float blue, int brightness) {
+    public ParticleRedstoneDust(World world, double x, double y, double z, float scale, float red, float green, float blue, int brightness) {
         super(world, x, y, z, 0.0D, 0.0D, 0.0D);
         this.brightness = -1;
         if (brightness >= 0) {
diff --git a/src/main/java/net/minecraft/client/entity/particle/SlimeChunkParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleSlimeChunk.java
similarity index 95%
rename from src/main/java/net/minecraft/client/entity/particle/SlimeChunkParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleSlimeChunk.java
index 02fd9054f..5b549aa24 100644
--- a/src/main/java/net/minecraft/client/entity/particle/SlimeChunkParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleSlimeChunk.java
@@ -12,8 +12,8 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.world.World;
 
-public class SlimeChunkParticle extends Particle {
-    public SlimeChunkParticle(World world, double x, double y, double z, Item item) {
+public class ParticleSlimeChunk extends Particle {
+    public ParticleSlimeChunk(World world, double x, double y, double z, Item item) {
         super(world, x, y, z, 0.0D, 0.0D, 0.0D);
         this.tex = ItemModelDispatcher.getInstance().getDispatch(item).getIcon(null, item.getDefaultStack());
         this.gravity = 2;
diff --git a/src/main/java/net/minecraft/client/entity/particle/SmokeParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleSmoke.java
similarity index 92%
rename from src/main/java/net/minecraft/client/entity/particle/SmokeParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleSmoke.java
index ae6b527b1..55dfd2fdc 100644
--- a/src/main/java/net/minecraft/client/entity/particle/SmokeParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleSmoke.java
@@ -4,14 +4,14 @@ import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.world.World;
 
-public class SmokeParticle extends Particle {
+public class ParticleSmoke extends Particle {
     private final float oSize;
 
-    public SmokeParticle(World world, double x, double y, double z, double xa, double ya, double za) {
+    public ParticleSmoke(World world, double x, double y, double z, double xa, double ya, double za) {
         this(world, x, y, z, xa, ya, za, 1.0F);
     }
 
-    public SmokeParticle(World world, double x, double y, double z, double xa, double ya, double za, float scale) {
+    public ParticleSmoke(World world, double x, double y, double z, double xa, double ya, double za, float scale) {
         super(world, x, y, z, 0.0D, 0.0D, 0.0D);
         this.xd *= 0.1D;
         this.yd *= 0.1D;
diff --git a/src/main/java/net/minecraft/client/entity/particle/SnowShovelParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleSnowShovel.java
similarity index 91%
rename from src/main/java/net/minecraft/client/entity/particle/SnowShovelParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleSnowShovel.java
index dc888765b..8c96568e3 100644
--- a/src/main/java/net/minecraft/client/entity/particle/SnowShovelParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleSnowShovel.java
@@ -5,14 +5,14 @@ import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.world.World;
 
-public class SnowShovelParticle extends Particle {
+public class ParticleSnowShovel extends Particle {
     private final float oSize;
 
-    public SnowShovelParticle(World world, double x, double y, double z, double xa, double ya, double za) {
+    public ParticleSnowShovel(World world, double x, double y, double z, double xa, double ya, double za) {
         this(world, x, y, z, xa, ya, za, 1.0F);
     }
 
-    public SnowShovelParticle(World world, double x, double y, double z, double xa, double ya, double za, float scale) {
+    public ParticleSnowShovel(World world, double x, double y, double z, double xa, double ya, double za, float scale) {
         super(world, x, y, z, xa, ya, za);
         this.xd *= 0.1D;
         this.yd *= 0.1D;
diff --git a/src/main/java/net/minecraft/client/entity/particle/SplashParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleSplash.java
similarity index 74%
rename from src/main/java/net/minecraft/client/entity/particle/SplashParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleSplash.java
index ca68ea9ef..96e0051d3 100644
--- a/src/main/java/net/minecraft/client/entity/particle/SplashParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleSplash.java
@@ -2,8 +2,8 @@ package net.minecraft.client.entity.particle;
 
 import net.minecraft.core.world.World;
 
-public class SplashParticle extends WaterDropParticle {
-    public SplashParticle(World world, double x, double y, double z, double xa, double ya, double za) {
+public class ParticleSplash extends ParticleWaterDrop {
+    public ParticleSplash(World world, double x, double y, double z, double xa, double ya, double za) {
         super(world, x, y, z);
         this.gravity = 0.04F;
         if (ya == 0.0D && (xa != 0.0D || za != 0.0D)) {
diff --git a/src/main/java/net/minecraft/client/entity/particle/WaterDropParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleWaterDrop.java
similarity index 84%
rename from src/main/java/net/minecraft/client/entity/particle/WaterDropParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleWaterDrop.java
index 8de343b4b..03369f5f0 100644
--- a/src/main/java/net/minecraft/client/entity/particle/WaterDropParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleWaterDrop.java
@@ -1,13 +1,13 @@
 package net.minecraft.client.entity.particle;
 
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
-import net.minecraft.core.block.FluidBlock;
+import net.minecraft.core.block.BlockFluid;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 
-public class WaterDropParticle extends Particle {
-    public WaterDropParticle(World world, double x, double y, double z) {
+public class ParticleWaterDrop extends Particle {
+    public ParticleWaterDrop(World world, double x, double y, double z) {
         super(world, x, y, z, 0.0D, 0.0D, 0.0D);
         this.xd *= 0.3D;
         this.yd = (float) Math.random() * 0.2F + 0.1F;
@@ -43,7 +43,7 @@ public class WaterDropParticle extends Particle {
         }
         Material m = this.world.getBlockMaterial(MathHelper.floor(this.x), MathHelper.floor(this.y), MathHelper.floor(this.z));
         if (m.isLiquid() || m.isSolid()) {
-            double y0 = (MathHelper.floor(this.y) + 1) - FluidBlock.getWaterVolume(this.world.getBlockMetadata(MathHelper.floor(this.x), MathHelper.floor(this.y), MathHelper.floor(this.z)));
+            double y0 = (MathHelper.floor(this.y) + 1) - BlockFluid.getWaterVolume(this.world.getBlockMetadata(MathHelper.floor(this.x), MathHelper.floor(this.y), MathHelper.floor(this.z)));
             if (this.y < y0) {
                 remove();
             }
diff --git a/src/main/java/net/minecraft/client/entity/player/LocalPlayer.java b/src/main/java/net/minecraft/client/entity/player/PlayerLocal.java
similarity index 80%
rename from src/main/java/net/minecraft/client/entity/player/LocalPlayer.java
rename to src/main/java/net/minecraft/client/entity/player/PlayerLocal.java
index 640994d73..7e84bd66d 100644
--- a/src/main/java/net/minecraft/client/entity/player/LocalPlayer.java
+++ b/src/main/java/net/minecraft/client/entity/player/PlayerLocal.java
@@ -5,20 +5,20 @@ import com.mojang.logging.LogUtils;
 import com.mojang.nbt.CompoundTag;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.entity.particle.TakeAnimationParticle;
-import net.minecraft.client.gui.container.ActivatorScreen;
-import net.minecraft.client.gui.container.ContainerScreen;
-import net.minecraft.client.gui.container.CraftingScreen;
-import net.minecraft.client.gui.container.DispenserScreen;
-import net.minecraft.client.gui.container.FlagEditorScreen;
-import net.minecraft.client.gui.LabelEditorScreen;
-import net.minecraft.client.gui.SignEditorScreen;
-import net.minecraft.client.gui.container.FurnaceScreen;
-import net.minecraft.client.gui.PaintingPickerScreen;
-import net.minecraft.client.gui.MobPickerScreen;
-import net.minecraft.client.gui.container.TrommelScreen;
-import net.minecraft.client.gui.WandMobPickerScreen;
-import net.minecraft.client.gui.guidebook.GuidebookScreen;
+import net.minecraft.client.entity.particle.ParticlePickupAnimation;
+import net.minecraft.client.gui.container.ScreenActivator;
+import net.minecraft.client.gui.container.ScreenContainer;
+import net.minecraft.client.gui.container.ScreenCrafting;
+import net.minecraft.client.gui.container.ScreenDispenser;
+import net.minecraft.client.gui.container.ScreenFlagEditor;
+import net.minecraft.client.gui.ScreenLabelEditor;
+import net.minecraft.client.gui.ScreenSignEditor;
+import net.minecraft.client.gui.container.ScreenFurnace;
+import net.minecraft.client.gui.ScreenPaintingPicker;
+import net.minecraft.client.gui.ScreenMobPicker;
+import net.minecraft.client.gui.container.ScreenTrommel;
+import net.minecraft.client.gui.ScreenWandMobPicker;
+import net.minecraft.client.gui.guidebook.ScreenGuidebook;
 import net.minecraft.client.input.PlayerInput;
 import net.minecraft.core.achievement.Achievement;
 import net.minecraft.core.achievement.Achievements;
@@ -26,14 +26,14 @@ import net.minecraft.core.achievement.stat.Stat;
 import net.minecraft.core.achievement.stat.StatList;
 import net.minecraft.client.gui.toasts.AchievementToast;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.PortalBlock;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
-import net.minecraft.core.block.entity.DispenserBlockEntity;
-import net.minecraft.core.block.entity.FlagBlockEntity;
-import net.minecraft.core.block.entity.FurnaceBlockEntity;
-import net.minecraft.core.block.entity.MobSpawnerBlockEntity;
-import net.minecraft.core.block.entity.SignBlockEntity;
-import net.minecraft.core.block.entity.TrommelBlockEntity;
+import net.minecraft.core.block.BlockPortal;
+import net.minecraft.core.block.entity.TileEntityActivator;
+import net.minecraft.core.block.entity.TileEntityDispenser;
+import net.minecraft.core.block.entity.TileEntityFlag;
+import net.minecraft.core.block.entity.TileEntityFurnace;
+import net.minecraft.core.block.entity.TileEntityMobSpawner;
+import net.minecraft.core.block.entity.TileEntitySign;
+import net.minecraft.core.block.entity.TileEntityTrommel;
 import net.minecraft.core.data.gamerule.GameRules;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
@@ -42,7 +42,7 @@ import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.client.net.command.ClientCommandSource;
 import net.minecraft.core.player.Session;
 import net.minecraft.core.player.gamemode.Gamemode;
-import net.minecraft.core.player.inventory.menu.InventoryMenu;
+import net.minecraft.core.player.inventory.menu.MenuInventory;
 import net.minecraft.core.player.inventory.container.Container;
 import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.GetSkinUrlThread;
@@ -51,14 +51,14 @@ import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
 import org.slf4j.Logger;
 
-public class LocalPlayer extends Player
+public class PlayerLocal extends Player
 {
     private static final Logger LOGGER = LogUtils.getLogger();
     public PlayerInput input;
     protected Minecraft mc;
     protected int sprintTimer;
 
-    public LocalPlayer(Minecraft minecraft, World world, Session session, int dimension)
+    public PlayerLocal(Minecraft minecraft, World world, Session session, int dimension)
     {
         super(world);
         mc = minecraft;
@@ -100,7 +100,7 @@ public class LocalPlayer extends Player
     {
         this.gamemode = gamemode;
 
-        InventoryMenu newContainer = gamemode.getContainer(this.inventory, !world.isClientSide);
+        MenuInventory newContainer = gamemode.getContainer(this.inventory, !world.isClientSide);
         if (craftingInventory == inventorySlots)
         {
             craftingInventory = newContainer;
@@ -161,7 +161,7 @@ public class LocalPlayer extends Player
                 {
                     timeUntilPortal = 10;
                     mc.sndManager.playSound("portal.travel", SoundCategory.WORLD_SOUNDS, 1.0F, random.nextFloat() * 0.4F + 0.8F);
-                    int targetDim = ((PortalBlock) Block.blocksList[portalID]).targetDimension;
+                    int targetDim = ((BlockPortal) Block.blocksList[portalID]).targetDimension;
                     if (dimension == targetDim)
                     {
                         mc.usePortal(0, portalColor);
@@ -256,86 +256,86 @@ public class LocalPlayer extends Player
     }
 
     @Override
-    public void displaySignEditorScreen(SignBlockEntity blockEntity)
+    public void displaySignEditorScreen(TileEntitySign blockEntity)
     {
-        mc.displayScreen(new SignEditorScreen(blockEntity));
+        mc.displayScreen(new ScreenSignEditor(blockEntity));
     }
 
     @Override
-    public void displayFlagEditorScreen(FlagBlockEntity blockEntity)
+    public void displayFlagEditorScreen(TileEntityFlag blockEntity)
     {
-        mc.displayScreen(new FlagEditorScreen(this, blockEntity));
+        mc.displayScreen(new ScreenFlagEditor(this, blockEntity));
     }
 
     @Override
     public void displayContainerScreen(Container container)
     {
-        mc.displayScreen(new ContainerScreen(inventory, container));
+        mc.displayScreen(new ScreenContainer(inventory, container));
     }
 
     @Override
     public void displayWorkbenchScreen(int x, int y, int z)
     {
-        mc.displayScreen(new CraftingScreen(inventory, world, x, y, z));
+        mc.displayScreen(new ScreenCrafting(inventory, world, x, y, z));
     }
 
     @Override
     public void displayLabelEditorScreen(ItemStack itemStack, int slot)
     {
-        mc.displayScreen(new LabelEditorScreen(itemStack, slot));
+        mc.displayScreen(new ScreenLabelEditor(itemStack, slot));
     }
 
     @Override
     public void displayPaintingPickerScreen()
     {
-        mc.displayScreen(new PaintingPickerScreen(this));
+        mc.displayScreen(new ScreenPaintingPicker(this));
     }
 
     @Override
     public void displayMobPickerScreen(int x, int y, int z) {
-        String currentMobId = ((MobSpawnerBlockEntity) world.getBlockEntity(x, y, z)).getMobId();
-        mc.displayScreen(new MobPickerScreen(currentMobId, x, y, z));
+        String currentMobId = ((TileEntityMobSpawner) world.getBlockEntity(x, y, z)).getMobId();
+        mc.displayScreen(new ScreenMobPicker(currentMobId, x, y, z));
     }
     @Override
     public void displayWandMobPickerScreen(ItemStack itemStack) {
         String currentMobId = itemStack.getData().getStringOrDefault("monster", "Pig");
-        mc.displayScreen(new WandMobPickerScreen(currentMobId, itemStack));
+        mc.displayScreen(new ScreenWandMobPicker(currentMobId, itemStack));
     }
 
     @Override
-    public void displayFurnaceScreen(FurnaceBlockEntity blockEntity)
+    public void displayFurnaceScreen(TileEntityFurnace blockEntity)
     {
-        mc.displayScreen(new FurnaceScreen(inventory, blockEntity));
+        mc.displayScreen(new ScreenFurnace(inventory, blockEntity));
     }
 
     @Override
-    public void displayTrommelScreen(TrommelBlockEntity blockEntity)
+    public void displayTrommelScreen(TileEntityTrommel blockEntity)
     {
-        mc.displayScreen(new TrommelScreen(inventory, blockEntity));
+        mc.displayScreen(new ScreenTrommel(inventory, blockEntity));
     }
 
     @Override
-    public void displayDispenserScreen(DispenserBlockEntity blockEntity)
+    public void displayDispenserScreen(TileEntityDispenser blockEntity)
     {
-        mc.displayScreen(new DispenserScreen(inventory, blockEntity));
+        mc.displayScreen(new ScreenDispenser(inventory, blockEntity));
     }
 
     @Override
-    public void displayActivatorScreen(ActivatorBlockEntity blockEntity)
+    public void displayActivatorScreen(TileEntityActivator blockEntity)
     {
-        mc.displayScreen(new ActivatorScreen(inventory, blockEntity));
+        mc.displayScreen(new ScreenActivator(inventory, blockEntity));
     }
 
     @Override
     public void displayGuidebookScreen() {
-        mc.displayScreen(new GuidebookScreen(mc.currentScreen));
+        mc.displayScreen(new ScreenGuidebook(mc.currentScreen));
     }
 
     @Override
     public void onItemPickup(Entity entity, ItemStack item)
     {
         addStat(item.getItem().getStat(StatList.STAT_PICKED_UP), 1);
-        mc.particleEngine.add(new TakeAnimationParticle(mc.theWorld, entity, this, -0.5F));
+        mc.particleEngine.add(new ParticlePickupAnimation(mc.theWorld, entity, this, -0.5F));
     }
 
     public int getPlayerProtectionAmount()
@@ -354,7 +354,7 @@ public class LocalPlayer extends Player
                 mc.thePlayer.sendMessage(TextFormatting.RED + e.getMessage());
             }
         } else {
-            mc.ingameHud.addChatMessage("<" + getDisplayName() + TextFormatting.RESET + "> " + TextFormatting.WHITE + s);
+            mc.hudIngame.addChatMessage("<" + getDisplayName() + TextFormatting.RESET + "> " + TextFormatting.WHITE + s);
         }
     }
     
@@ -507,12 +507,12 @@ public class LocalPlayer extends Player
     
 	@Override
 	public void sendMessage(String message) {
-		mc.ingameHud.addChatMessage(message);
+		mc.hudIngame.addChatMessage(message);
 	}
 
 	@Override
 	public void sendStatusMessage(String message) {
-		mc.ingameHud.heldItemTooltipElement.setString(message);
+		mc.hudIngame.heldItemTooltipElement.setString(message);
 	}
 
 }
diff --git a/src/main/java/net/minecraft/client/entity/player/MultiplayerLocalPlayer.java b/src/main/java/net/minecraft/client/entity/player/PlayerLocalMultiplayer.java
similarity index 93%
rename from src/main/java/net/minecraft/client/entity/player/MultiplayerLocalPlayer.java
rename to src/main/java/net/minecraft/client/entity/player/PlayerLocalMultiplayer.java
index e9152027a..4eb0cad3a 100644
--- a/src/main/java/net/minecraft/client/entity/player/MultiplayerLocalPlayer.java
+++ b/src/main/java/net/minecraft/client/entity/player/PlayerLocalMultiplayer.java
@@ -1,12 +1,12 @@
 package net.minecraft.client.entity.player;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.gui.guidebook.GuidebookScreen;
-import net.minecraft.client.net.handler.ClientPacketHandler;
+import net.minecraft.client.gui.guidebook.ScreenGuidebook;
+import net.minecraft.client.net.handler.PacketHandlerClient;
 import net.minecraft.core.achievement.stat.Stat;
 import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.net.packet.ChatPacket;
 import net.minecraft.core.net.packet.UpdatePlayerStatePacket;
 import net.minecraft.core.net.packet.MovePlayerPacket;
@@ -24,9 +24,9 @@ import net.minecraft.core.util.helper.DamageType;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
-public class MultiplayerLocalPlayer extends LocalPlayer
+public class PlayerLocalMultiplayer extends PlayerLocal
 {
-    public ClientPacketHandler sendQueue;
+    public PacketHandlerClient sendQueue;
     private int lastInventorySendTime;
     private boolean flashOnSetHealth;
     private double oldPosX;
@@ -39,7 +39,7 @@ public class MultiplayerLocalPlayer extends LocalPlayer
     private boolean wasSneaking;
     private int noSendTime;
 
-    public MultiplayerLocalPlayer(Minecraft minecraft, World world, Session session, ClientPacketHandler netclienthandler)
+    public PlayerLocalMultiplayer(Minecraft minecraft, World world, Session session, PacketHandlerClient netclienthandler)
     {
         super(minecraft, world, session, 0);
         lastInventorySendTime = 0;
@@ -163,7 +163,7 @@ public class MultiplayerLocalPlayer extends LocalPlayer
     }
 
     @Override
-	protected void joinEntityItemWithWorld(ItemEntity entityitem)
+	protected void joinEntityItemWithWorld(EntityItem entityitem)
     {
     }
 
@@ -190,8 +190,8 @@ public class MultiplayerLocalPlayer extends LocalPlayer
     @Override
 	public void displayGuidebookScreen()
     {
-        mc.displayScreen(new GuidebookScreen(mc.currentScreen));
-        sendQueue.addToSendQueue(new GuidebookPacket(mc.currentScreen instanceof GuidebookScreen));
+        mc.displayScreen(new ScreenGuidebook(mc.currentScreen));
+        sendQueue.addToSendQueue(new GuidebookPacket(mc.currentScreen instanceof ScreenGuidebook));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/entity/player/RemotePlayer.java b/src/main/java/net/minecraft/client/entity/player/PlayerRemote.java
similarity index 97%
rename from src/main/java/net/minecraft/client/entity/player/RemotePlayer.java
rename to src/main/java/net/minecraft/client/entity/player/PlayerRemote.java
index f10f7d695..99c4cfb16 100644
--- a/src/main/java/net/minecraft/client/entity/player/RemotePlayer.java
+++ b/src/main/java/net/minecraft/client/entity/player/PlayerRemote.java
@@ -16,7 +16,7 @@ import net.minecraft.core.util.helper.GetSkinUrlThread;
 
 import java.util.UUID;
 
-public class RemotePlayer extends Player
+public class PlayerRemote extends Player
 {
     private int lerpSteps;
     private double lerpX;
@@ -25,7 +25,7 @@ public class RemotePlayer extends Player
     private double lerpYRot;
     private double lerpXRot;
 //    float fallTime;
-    public RemotePlayer(World world, String username, UUID uuid)
+    public PlayerRemote(World world, String username, UUID uuid)
     {
         super(world);
 //        fallTime = 0.0F;
diff --git a/src/main/java/net/minecraft/client/gui/ExceptionPopupElement.java b/src/main/java/net/minecraft/client/gui/ExceptionPopupElement.java
index 5fd55fda4..d867b5793 100644
--- a/src/main/java/net/minecraft/client/gui/ExceptionPopupElement.java
+++ b/src/main/java/net/minecraft/client/gui/ExceptionPopupElement.java
@@ -93,7 +93,7 @@ public class ExceptionPopupElement {
         }
         s.append(TextFormatting.WHITE);
 
-        BlankScreen screen = new BlankScreen();
+        ScreenBlank screen = new ScreenBlank();
         mc.displayScreen(screen);
         PopupScreen popup = new PopupBuilder(screen,860/scale).withLabel("gui.exception.label.fatal_error")
                 .withMessageBox("gui.exception.list",400/scale,s.toString(),(860/scale) / mc.font.getCharWidth('m'))
@@ -138,7 +138,7 @@ public class ExceptionPopupElement {
         }
         s.append(TextFormatting.WHITE);
 
-        BlankScreen screen = new BlankScreen();
+        ScreenBlank screen = new ScreenBlank();
         mc.displayScreen(screen);
         PopupScreen popup = new PopupBuilder(screen,860/scale).withLabel("gui.exception.label.startup_error")
                 .withMessageBox("gui.exception.list",400/scale,s.toString(),(860/scale) / mc.font.getCharWidth('m'))
diff --git a/src/main/java/net/minecraft/client/gui/IntegerSliderElement.java b/src/main/java/net/minecraft/client/gui/IntegerSliderElement.java
index 9348a1cfe..cfc3a7f29 100644
--- a/src/main/java/net/minecraft/client/gui/IntegerSliderElement.java
+++ b/src/main/java/net/minecraft/client/gui/IntegerSliderElement.java
@@ -6,21 +6,21 @@ import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import org.lwjgl.opengl.GL11;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.option.ToggleableOption;
+import net.minecraft.client.option.OptionToggleable;
 
 public class IntegerSliderElement extends ButtonElement {
 
 	public int sliderValue;
 	public boolean dragging;
-	private ToggleableOption<?> option;
+	private OptionToggleable<?> option;
 
 	public IconCoordinate backgroundTexture;
 
-	public IntegerSliderElement(int id, int xPosition, int yPosition, ToggleableOption<?> option) {
+	public IntegerSliderElement(int id, int xPosition, int yPosition, OptionToggleable<?> option) {
 		this(id, xPosition, yPosition, 150, 20, option);
 	}
 
-	public IntegerSliderElement(int id, int xPosition, int yPosition, int width, int height, ToggleableOption<?> option) {
+	public IntegerSliderElement(int id, int xPosition, int yPosition, int width, int height, OptionToggleable<?> option) {
 		super(id, xPosition, yPosition, width, height, option.getDisplayStringValue());
 		
 		this.dragging = false;
diff --git a/src/main/java/net/minecraft/client/gui/ItemElement.java b/src/main/java/net/minecraft/client/gui/ItemElement.java
index fecfc5fdb..89fdd2116 100644
--- a/src/main/java/net/minecraft/client/gui/ItemElement.java
+++ b/src/main/java/net/minecraft/client/gui/ItemElement.java
@@ -14,7 +14,7 @@ import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryTrommel;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.player.inventory.slot.Slot;
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import org.lwjgl.opengl.GL11;
 import org.lwjgl.opengl.GL12;
 
@@ -69,12 +69,12 @@ public class ItemElement extends Gui
                 BlockModel.setRenderBlocks(EntityRenderDispatcher.instance.itemRenderer.renderBlocksInstance);
                 ItemModel itemModel = ItemModelDispatcher.getInstance().getDispatch(itemStack.getItem());
                 itemModel.renderItemIntoGui(Tessellator.instance, mc.font, mc.textureManager, itemStack, x, y, discovered ? 1.0f : 0.0f, 1.0f);
-                if(slot instanceof GuidebookSlot){
-                    if(((GuidebookSlot) slot).recipe instanceof RecipeEntryTrommel && ((GuidebookSlot) slot).item != null && ((GuidebookSlot) slot).isOutput){
-                        WeightedRandomBag<WeightedRandomLootObject> loot = ((RecipeEntryTrommel)((GuidebookSlot) slot).recipe).getOutput();
+                if(slot instanceof SlotGuidebook){
+                    if(((SlotGuidebook) slot).recipe instanceof RecipeEntryTrommel && ((SlotGuidebook) slot).item != null && ((SlotGuidebook) slot).isOutput){
+                        WeightedRandomBag<WeightedRandomLootObject> loot = ((RecipeEntryTrommel)((SlotGuidebook) slot).recipe).getOutput();
                         int index = slot.index;
-                        if(((GuidebookSlot) slot).recipeAmount > 8){
-                            index = slot.index + (9 * ((GuidebookSlot) slot).recipeIndex);
+                        if(((SlotGuidebook) slot).recipeAmount > 8){
+                            index = slot.index + (9 * ((SlotGuidebook) slot).recipeIndex);
                         }
                         WeightedRandomLootObject lootObject = loot.getEntries().get(index);
                         String s;
diff --git a/src/main/java/net/minecraft/client/gui/AddServerScreen.java b/src/main/java/net/minecraft/client/gui/ScreenAddServer.java
similarity index 97%
rename from src/main/java/net/minecraft/client/gui/AddServerScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenAddServer.java
index 51e8773a7..e56cba8b3 100644
--- a/src/main/java/net/minecraft/client/gui/AddServerScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenAddServer.java
@@ -9,7 +9,7 @@ import org.lwjgl.input.Keyboard;
 //            GuiScreen, GuiTextField, StringTranslate, GuiButton, 
 //            gGameSettings, GuiConnecting
 
-public class AddServerScreen extends Screen
+public class ScreenAddServer extends Screen
 {
     private ButtonElement buttonSave;
     private ButtonElement buttonCancel;
@@ -19,7 +19,7 @@ public class AddServerScreen extends Screen
     private SavedServerList serverList;
     private boolean showIp = true;
 
-    public AddServerScreen(Screen guiscreen, SavedServerList serverList)
+    public ScreenAddServer(Screen guiscreen, SavedServerList serverList)
     {
         super(guiscreen);
         this.serverList = serverList;
diff --git a/src/main/java/net/minecraft/client/gui/BadJavaArchScreen.java b/src/main/java/net/minecraft/client/gui/ScreenBadJavaArch.java
similarity index 95%
rename from src/main/java/net/minecraft/client/gui/BadJavaArchScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenBadJavaArch.java
index e58f226f4..9075df622 100644
--- a/src/main/java/net/minecraft/client/gui/BadJavaArchScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenBadJavaArch.java
@@ -10,11 +10,11 @@ import org.slf4j.Logger;
 import java.awt.*;
 import java.net.URI;
 
-public class BadJavaArchScreen extends Screen
+public class ScreenBadJavaArch extends Screen
 {
     private static final Logger LOGGER = LogUtils.getLogger();
 
-    public BadJavaArchScreen()
+    public ScreenBadJavaArch()
     {
     }
 
@@ -37,7 +37,7 @@ public class BadJavaArchScreen extends Screen
         }
         if(button.id == 0)
         {
-            mc.displayScreen(new MainMenuScreen());
+            mc.displayScreen(new ScreenMainMenu());
         }
         Desktop desktop = Desktop.isDesktopSupported() ? Desktop.getDesktop() : null;
         if (desktop != null && desktop.isSupported(Desktop.Action.BROWSE))
diff --git a/src/main/java/net/minecraft/client/gui/BlankScreen.java b/src/main/java/net/minecraft/client/gui/ScreenBlank.java
similarity index 77%
rename from src/main/java/net/minecraft/client/gui/BlankScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenBlank.java
index ba5337189..e0b55fd08 100644
--- a/src/main/java/net/minecraft/client/gui/BlankScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenBlank.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.gui;
 
-public class BlankScreen extends Screen
+public class ScreenBlank extends Screen
 {
     @Override
 	public void keyPressed(char eventCharacter, int eventKey, int mx, int my)
